<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:output indent="yes" method="xml" encoding="utf-8" omit-xml-declaration="no"/>
    <xsl:variable name="layermaterials"  select="document('layer_materials.xml')"></xsl:variable>
    <xsl:template match="/">
        <Layers>
        <xsl:apply-templates select="//layers"/>
        </Layers>
    </xsl:template>
    <xsl:template match="layers">
        <Layer>
            <xsl:attribute name="id">ncmlay<xsl:value-of select="ID"></xsl:value-of></xsl:attribute>
            <xsl:if test="I-F-R"><InsideAirFilmResistance><xsl:value-of select="I-F-R"/></InsideAirFilmResistance></xsl:if>
            <xsl:variable name="layid"><xsl:value-of select="ID"/></xsl:variable>
            <xsl:for-each select="$layermaterials//layer_materials">
                <xsl:if test="LAYER = $layid">
                    <MaterialId>
                        <xsl:attribute name="materialIdRef">ncmmat<xsl:value-of  select="MATERIAL1"/></xsl:attribute>
                    </MaterialId>
                </xsl:if>
            </xsl:for-each>
        </Layer>
    </xsl:template>
</xsl:stylesheet>
