<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">  
    <xsl:output indent="yes" method="xml" encoding="utf-8" omit-xml-declaration="no"/>
    <xsl:template match="/">
        <Materials>
            <xsl:apply-templates select="//materials"/>
        </Materials>
    </xsl:template>
    <xsl:template match="materials">
        <Material>
            <xsl:attribute name="id">ncmmat<xsl:value-of select="ID"/></xsl:attribute>
            <Name><xsl:value-of select="NAME"/></Name>
            <Description><xsl:value-of select="DESCRIPTION"/></Description>
            <xsl:if test="TH">
                <Thickness  unit="Meters"><xsl:value-of select="format-number(TH div 1000,'0.000')"/></Thickness>
            </xsl:if>
            <xsl:if test="RES"><R-value unit="SquareMeterKPerW"><xsl:value-of select="RES"/></R-value></xsl:if>
            <xsl:if test="COND and COND !=0">
                <Conductivity  unit="WPerMeterK"><xsl:value-of select="COND"/></Conductivity>
                <xsl:if test="DENS"><Density unit="KgPerCubicM"><xsl:value-of select="DENS"/></Density></xsl:if>
                <xsl:if test="S-H"><SpecificHeat unit="JPerKgK"><xsl:value-of select="S-H"/></SpecificHeat></xsl:if>
                <xsl:if test="VAP-PERM"><Permeance unit="PermIP"><xsl:value-of select="VAP-PERM"/></Permeance></xsl:if>
            </xsl:if>
        </Material>
    </xsl:template>
    
</xsl:stylesheet>
